package com.bcxin.ars.dto.sys;

import com.bcxin.ars.model.BaseModel;

import java.util.Date;

public class ApprovalLogDto extends BaseModel{

    /** 审批状态 */
    private String approvalstate;

    /** 审批人 */
    private String approvalperson;

    /** 审批时间 */
    private Date approvaldate;

    /** 审批原因 */
    private String approvalreason;

    /** 流程ID */
    private String processInstanceId;

    /** 审批机构 */
    private String approvalorg;

    /**
     * Id
     */
    private String logId;

    /**
     * nextPerson
     */
    private String nextPerson;

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public String getNextPerson() {
        return nextPerson;
    }

    public void setNextPerson(String nextPerson) {
        this.nextPerson = nextPerson;
    }

    public String getApprovalstate() {
        return approvalstate;
    }

    public void setApprovalstate(String approvalstate) {
        this.approvalstate = approvalstate == null ? null : approvalstate.trim();
    }

    public String getApprovalperson() {
        return approvalperson;
    }

    public void setApprovalperson(String approvalperson) {
        this.approvalperson = approvalperson == null ? null : approvalperson.trim();
    }

    public Date getApprovaldate() {
        return approvaldate;
    }

    public void setApprovaldate(Date approvaldate) {
        this.approvaldate = approvaldate;
    }

    public String getApprovalreason() {
        return approvalreason;
    }

    public void setApprovalreason(String approvalreason) {
        this.approvalreason = approvalreason == null ? null : approvalreason.trim();
    }

    public String getProcessInstanceId() {
        return processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId == null ? null : processInstanceId.trim();
    }

    public String getApprovalorg() {
        return approvalorg;
    }

    public void setApprovalorg(String approvalorg) {
        this.approvalorg = approvalorg == null ? null : approvalorg.trim();
    }
}